> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingmee.co.il/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Creates a new webhook subscription.



## OpenAPI

````yaml POST /webhook
openapi: 3.1.0
info:
  title: Pingmee API
  description: A complete guide to Pingmee micro service architecture.
  version: 1.0.0
servers:
  - url: https://api.pingmee.co.il
security:
  - cookieAuth: []
    ApiKeyAuth: []
paths:
  /webhook:
    post:
      description: Creates a new webhook subscription.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - url
                - event
              properties:
                url:
                  type: string
                  description: Callback URL to receive webhook events
                event:
                  type: string
                  description: Event type to subscribe to.
                  enum:
                    - conversationCreated
                    - tagChanged
                    - statusChanged
                    - messageCreated
                  x-enum-varnames:
                    - New Conversation Started
                    - Conversation Tags Updated
                    - Conversation Status Updated
                    - Messages Created
                  x-enumDescriptions:
                    conversationCreated: New Conversation Started
                    tagChanged: Conversation Tags Updated
                    statusChanged: Conversation Status Updated
                    messageCreated: Messages Created
                  example: messageCreated
      responses:
        '200':
          description: Webhook created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier of the created webhook
                required:
                  - id
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
          ApiKeyAuth: []
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: header
      name: Cookie
      description: Personal access token from Pingmee Settings → Developer Tools
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Business API key from Pingmee Settings → Developer Tools
    bearerAuth:
      type: http
      scheme: bearer

````